List session videos
List videos belonging to a specific session. Access is granted when all session participants are linked to your external service.
Path Parameters
Wingfield session identifier.
uuidQuery Parameters
Number of items to skip.
00 <= valueMaximum number of items to return.
501 <= value <= 100Filter by video type.
"SESSION_VIDEO" | "AUTOMATIC_HIGHLIGHTS" | "CUSTOM_HIGHLIGHTS"Response
200Error Responses
invalid_schema
Request validation failed.
missing_api_token
No authentication token provided.
invalid_api_token
Invalid or expired authentication token.
scope_permission_denied
Insufficient permissions for this operation.
user_access_denied
Service is not granted access to the user.
session_not_found
Session was not found.
curl -X GET "https://dev.wingfield.systems/api/v1/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/videos"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"fps": 0,
"videoUrl": "http://example.com",
"thumbnailUrl": "http://example.com",
"resolution": "360p",
"type": "SESSION_VIDEO",
"sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459"
}
],
"totalCount": 0
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "session_not_found",
"message": "string"
}
}Get session details GET
Retrieve full details for a session. Access is granted when all session participants are linked to your external service.
List sessions for user GET
List sessions for a connected user, ordered from newest to oldest. By default, sessions are returned only when all participants are linked to your external service.